/**
 b) Citim una cite una valorile din fishier, in aceeashi
variabila, prelucrindu-le in timpul citirii.
  In 3 variabile, initzializate cu 0 (caci determinam
un maxim) mentzinem cele mai mari 3 valori citite,
in ordinea max1<max2<max3
  Comparind v cu acestea, ele vor fi actualizate in mod
corespunzator.

  Algoritmul este eficient d.p.d.v. al memoriei utilizate
deoarece NU se folosesc vectori.
  Este eficient shi d.p.d.v. al timpului de executare
deoarece datele din fishier sunt parcurse o singura
data, ordinul de complexitate fiind O(n).
*/
#include <iostream>
#include <fstream>
using namespace std;

int main()
{
    ifstream fin("bac.in");
    int n,v,i,max1=0,max2=0,max3=0;
    fin>>n;
    for(i=1;i<=n;i++)
    {
        fin>>v;
        if(v%10==5)
            if(v>max3) {max1=max2;max2=max3;max3=v;}
            else if(v>max2){max1=max2;max2=v;}
                else if(v>max1) max1=v;
    }
    //nu mai tre' sa ne intrebam daca max1==0
    //pt. ca se garanteaza ca exista cel putzin 3 de-alea
    cout<<max1<<" "<<max2<<" "<<max3;
    return 0;
}
