/**
Produsul a doua polinoame:
 (unul de grad n, altul de grad m
  coef. indiciatzi de la 0. Indicele coef = puterea lui x)

Algoritm:
  Gradul polinomului produs este n+m
  Din coef. unui termen x la puterea i a primului pol
   cu coef. unui termen x la puterea j din al doilea polinom,
iese un coeficient care in produs se totalizeaza la coef
termenului x la puterea i+j
*/
#include <iostream>
#include <fstream>
#include<memory.h>
using namespace std;

int main()
{
    double a[51],b[51],c[101];
    int n,m,p;
    memset(c,0,sizeof(c));
    ifstream fin("pol.in");
    ofstream fout("pol.out");
    fin>>n>>m;
    int i,j;
    for(i=0;i<=n;i++)fin>>a[i];
    for(i=0;i<=m;i++)fin>>b[i];
    p=m+n;//p=gradul polinomului suma
    for(i=0;i<=n;i++)
      for(j=0;j<=m;j++)
        c[i+j]+=a[i]*b[j];
    fout<<p<<"\n";
    for(i=0;i<=p;i++)fout<<c[i]<<" ";
    fout.close();
    return 0;
}
