    /*
ACSL CONTEST #3 SENIOR 3

NAME: Andrei BARSAN
SCHOOL: National College 'Andrei Saguna' Brasov Romania
INPUT: mancala.in
*/

#include <iostream>
#include <fstream>
#include <string.h>
#include <stdlib.h>

using namespace std;

int main()
{
    int bowls[16];
    int bA, bB;

    // initial configuration of the board
    bA = 0, bB = 0;
    for(int i = 1; i<=12; i++)
        bowls[i] = 4;

    fstream f("mancala.in");
    for(int input = 1; input<=5; input++){
        int bowlFrom;
        int readNum;
        char c[64];
        f.get(c, 64);
        f.get();

        // tzaranie absoluta, copii!
        char *p;
        char sm[16], sr[16];
        strcpy(sm,strtok(c, " ,"));
        strcpy(sr, strtok(NULL," ,"));

        bowlFrom = atoi(sm);
        if(strcmp(sr,"A")==0)
            readNum = 100;
        else if(strcmp(sr,"B")==0)
            readNum = 101;
        else readNum = atoi(sr);
        // sfarsit tzaranie absoluta

        int current = bowlFrom;
        int count = bowls[current];
        bowls[current] = 0;
        while(true){
            current++;
            if(current==7)
                if(input%2!=0){
                    // player A puts a rock in his bowl
                    bA++;
                    count--;
                }

            if(current==13){
                // wrap around
                current = 1;

                if(input%2==0){
                    // player B gets to put a rock in his bowl
                    bB++;
                    count--;
                }
            }

        // last rock in mancala rule
        if(count==0)
            break;

        // place rock in bowl
        bowls[current]++;
        count--;

        // ramas fara
        if(count<=0)
            {
            // extend turn?
            if(bowls[current]!=4 && bowls[current]!=1){
                count=bowls[current];
                bowls[current] = 0;
            }
            else
                // end player turn rule
                break;
            }
        // otherwise carry on
        // nota: nu se poate intra pe repetitiva cu count=0!
        }

        // afisare tzaraneasca
        if(readNum==100)
            cout<<bA;
            else if(readNum==101)
            cout<<bB;
        else cout<<bowls[readNum];

        cout<<endl;
    }

    return 0;
}
