///Andrei Alexandrescu 11 A
///Componente Conexe
///OLI - Insule

#include <iostream>
#include <stdio.h>
#include <algorithm>
#include <vector>
#include <stack>
#include <string.h>
#define pb push_back
#define TR(C, i)\
    for(typeof(C.begin()) i = C.begin(); i < C.end(); i++)


using namespace std;

const int DIM = 1 << 13;
const int lmax = 22;
const int nmax = 10002;
int pos;
char buf[DIM];

void read(char *p)
{
    //memset(p, 0, sizeof(p));
    while(!(buf[pos] <= 'Z' && buf[pos] >= 'A' || buf[pos] == '-'))
        if(++pos == DIM)
            fread(buf, sizeof(char), DIM, stdin), pos = 0;

    int y = 0;
    while(buf[pos] <= 'Z' && buf[pos] >= 'A' || buf[pos] == '-')
    {
        p[y++] = buf[pos];

        if(++pos == DIM)
            fread(buf, sizeof(char), DIM, stdin), pos = 0;
    }
}

int N, M;
char m[nmax][lmax];
int sir[nmax], start;

bool cmp(const int &a, const int &b)
{
    if(strcmp(m[a],m[b]) < 0)
            return true;
        return false;
}

char x[lmax];

int cautare()
{
    int i, j;
    for(i = 1; i <= N; i = i << 1);
    for(j = 0; i > 0; i = i >> 1)
        if(((i>>1) + j) <= N && strcmp(m[sir[(i >> 1) + j]], x) <= 0)
            j += i >> 1;
    return j;
}

stack <int> S;
int viz[nmax];
vector<int> G[nmax];

void DFS()
{
    S.push(start);
    viz[start] = 1;
    while(!S.empty())
    {
        start = S.top();
        S.pop();
        TR(G[start], i)
            if(!viz[*i])
            {
                viz[*i] = 1;
                S.push(*i);
            }
    }
}


int main()
{
    freopen ("insule.in","r",stdin);
    freopen ("insule.out","w",stdout);

    scanf("%d %d %s\n",&N, &M, &x);
    int i;
    for(i = 1; i <= N; i++)
    {
        read(m[i]);
        sir[i] = i;
    }

    sort(sir + 1, sir + N + 1, cmp);

    int cx, cy;
    start = cautare();
    for(i = 1; i <= M; i++)
    {
        memset(x, 0, sizeof(x));
        read(x);
        cx = cautare();
        memset(x, 0, sizeof(x));
        read(x);
        cy = cautare();
        G[cy].pb(cx);
        G[cx].pb(cy);
    }

    cx = start;
    bool ok = true;
    DFS();
    for(i = 1; i <= N; i++)
        if(viz[i] && i != cx)
        {
            printf("%s ", m[sir[i]]);
            ok = false;
        }

    if(ok)
        printf("-1\n");
    return 0;
}
