///Andrei Alexandrescu 11 A
///Programare dinamica
///OLI - Ciocomax

#include <iostream>

using namespace std;

const int DIM = 1 << 12;
int pos;
char buf[DIM];

void read(int &y)
{
    while(!isdigit(buf[pos]))
        if(++pos == DIM)
            fread(buf, sizeof(char), DIM, stdin), pos = 0;

    y = 0;
    while(isdigit(buf[pos]))
    {
        y = y * 10 + buf[pos] - '0';

        if(++pos == DIM)
            fread(buf, sizeof(char), DIM, stdin), pos = 0;
    }
}

const int nmax = 1 << 10;
int s[nmax][nmax], u[nmax][nmax];
int M, N;

inline int max(int a, int b)
{
    return (a < b)?b:a;
}


//sus - jos
int solve()
{
    int i, j, temp;
    for(i = 1; i <= M; i++)
        u[1][i] = s[1][i];
    for(i = 2; i <= N; i++)
        for(j = 1; j <= M; j++)
        {
            temp = max(u[i - 1][j - 1], u[i - 1][j]);
            u[i][j] = max(temp, u[i - 1][j + 1]) + s[i][j];
        }

    int maxi = u[N][1];
    for(i = 2; i <= M; i++)
        if(maxi < u[N][i])
            maxi = u[N][i];

    return maxi;
}

int solve2()
{
    memset(u, 0, sizeof(u));
    int i, j, temp;
    for(i = 1; i <= N; i++)
        u[i][1] = s[i][1];
    for(i = 2; i <= M; i++)
        for(j = 1; j <= N; j++)
        {
            temp = max(u[j][i - 1], u[j - 1][i - 1]);
            u[j][i] = max(temp, u[j + 1][i - 1]) + s[j][i];
        }

    int maxi = u[1][M];
    for(i = 2; i <= N; i++)
        if(maxi < u[i][M])
            maxi = u[i][M];

    return maxi;
}

int main()
{
    freopen ("ciocomax.in","r",stdin);
    freopen ("ciocomax.out","w",stdout);

    fread(buf, sizeof(char), DIM, stdin);
    read(N);read(M);
    int i, j;
    for(i = 1; i <= N; i++)
        for(j = 1; j <= M; j++)
            read(s[i][j]);
    int unu = solve();
    int doi = solve2();
    printf("%d\n",max(unu, doi));
    return 0;
}
