/**
 Citim n.
Sa generam toate shirurile de CEL MULT n cifre nenule,
distinctem in ordine lexicografica, shiruri in care
cifrele de pe pozitzii vecine NU au aceeashi paritate.
Ex:
n=3
1
12
123
125
127
129
14
143
145
147
149
16
163
165
167
169
18
183
185
187
189
2
21
214
...

Analiza:
Domenii: x[k] apartzine de la 1..9

Valid: sa nu mai fi fost folosit
       x[k] sa aiba paritate diferita de x[k-1] (daca exista
                                                   x[k-1])
Solutzie:
       tot timpul

Problema ESTE cu prelungire.
Obs: tre' sa limitam sa NU faca apel recursiv mai departe de
nivelul n
*/
#include <iostream>
using namespace std;

int x[10],n,used[10];

void afish(int k)
{
    int i;
    for(i=1;i<=k;i++)
        cout<<x[i];
    cout<<"\n";
}

void back(int k)
{
    for(x[k]=1;x[k]<=9;x[k]++)
        if(!used[x[k]]&& (k==1 || x[k]%2!=x[k-1]%2) )
            {
                used[x[k]]=1;
                afish(k);
                if(k<n)
                    back(k+1);
                used[x[k]]=0;
            }
}

int main()
{
    cout<<"n=";
    cin>>n;
    if(n>9)
        cout<<"Problema NU are solutzii!";
    else
        back(1);
    return 0;
}
