/**
Codificam 0 = '('
          1 = ')'

Domenii:
 x[k] apartzine de la 0 la 1
 Obs: introducem la fctzia de back parametrul npi = nr. paranteze
 inchise dintre x[1]...x[k-1]

Valid:
 obs: avind parametrul npi,
 actualizindu-l shi la pasul curent prin npi+x[k]
 => la pasul curent nr. de paranteze inchise este npi+x[k]
 -> nr. de paranteze deschise este: k-(npi+x[k])

Conditzia deci este
1)nr. de paranteze deschise sa fie >= nr. de paranteze inchise
2)nr. de paranteze deschise sa fie <=n

solutzie: k==2*n

e fara prelungire
*/
#include <iostream>
using namespace std;

int x[30],n;

void afish()
{
    for(int i=1;i<=2*n;i++)
       cout<<(x[i]==0?'(':')');
    cout<<"\n";
}

void back(int k,int npi)
{
    for(x[k]=0;x[k]<=1;x[k]++)
      if((k-(npi+x[k])>=npi+x[k] && k-(npi+x[k])<=n))
         if(k==2*n)
            afish();
        else
            back(k+1,npi+x[k]);
}

int main()
{
    cin>>n;
    back(1,0);
    return 0;
}
