/**
  Varianta optima: plecind de la observatzia ca
cei trei termeni ai sumei trebuie sa fie in ordine crescatoare, deducem
ca al doilea termen (cel din mijloc) poate sa fie cel mult s/2-1
(pentru ca, daca primul termen este 1, al doilea este s/2-1 shi al treilea este chiar s/2
suma lor ne da chiar s. Daca punem ceva mai mare decit s/2-1 in mijloc, orice am pune pe a treia
pozitzie ar trebui sa fie mai mare decit cel din mijloc, shi suma ne-ar da mai mare decit s.
  Analog, pe prima pozitzie putem pune cel mult (s-3)/3, pentru ca, orice am pune mai mult
ne vom depashi sumele in continuare.
  Ashadar, algoritmul optim: este sa generam pe primele doua for-uri numere
dupa regula de mai sus, iar al treilea numar se obtzine
pur shi simplu scazind din s pe cele doua de dinainte.
*/
#include <iostream>

using namespace std;

int main()
{
    int i,j,k,s;
    cout<<"Suma pe care vrei sa o afli:";
    cin>>s;
    for(i=1;i<=(s-3)/3;i++)
      for(j=i+1;j<=s/2-1;j++)
      {
         k=s-i-j;
         if(j<k)
            cout<<"s="<<i<<"+"<<j<<"+"<<(s-i-j)<<"\n";
      }
    return 0;
}
